czwartek, stycznia 26, 2012

Nie tylko IE6 powinno pójść do piachu, każdy Internet Explorer powinien!!!!

Nienawidzę tych pacanów z Microsoftu!!!!

Tak spraprali kod IE, że nawet ich własne hacki w nim nie zawsze działają.

Jest sobie warunkowy tag:

<!--[if gte IE 9 ]>
<meta http-equiv="X-UA-Compatible" content="IE=9" />
<![endif]-->
Który wg. fałszywej teorii głoszonej przez tych cholernych kłamców z Microsoftu powinien powodować, że IE9 i wyższe zinterpretują tag w środku........
a dupa, jak przeglądarka uzna, że ona będzie pracowała w IE 9 Compact View bo ma taki kaprys to olewa te tagi, bo przecież jej nie obowiązują.....
Kretynka "myśli", że jest IE7.

To cholerstwo kłamie też w User-Agent, np. te dwa User-Agent niżej są z odpowiednio IE10 i IE9:

Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/6.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; MS-RTC LM 8)
Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; MS-RTC LM 8)

A w każdym twierdzi, że jest MSIE 7.0.... jedynie po numerku Trident'a można zgadywać co to do cholery jest.




Podobne postybeta
Czy ustalanie pozycji w Androidzie może kosztować?
Za co naprawdę, ale to naprawdę nienawidzę Microsoftu?
T-Mobile, weźcie się odczepcie...
Pokręcony IE
Magia CallBacka w JavaScript :-) - czyli jak przekazać dodatkowy parametr